## maptransfer 0.3

=== client/Makefile ===

all: client_ui.py client_de.qm

client_ui.py: client.ui
	pyuic4 -o $@ $^

client_%.ts: client.py client.ui
	pylupdate4 $^ -ts $@

client_%.qm: client_%.ts
	lrelease-qt4 $^

=== debian/changelog ===
maptransfer (0.3-2) unstable; urgency=low

  * Team upload.

  [ SVN-Git Migration ]
  * git-dpm config.
  * Update Vcs fields for git migration.

  [ Mattia Rizzolo ]
  * Use dh compat 9.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Build using dh-python instead of python-support.  Closes: #786025

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 13 Dec 2015 17:41:23 +0000

maptransfer (0.3-1) unstable; urgency=low

  * Initial release (Closes: #580489)

 -- Michael Ziegler <diese-addy@funzt-halt.net>  Wed, 05 May 2010 17:58:15 +0200

=== debian/control ===
Source: maptransfer
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Ziegler <diese-addy@funzt-halt.net>
Build-Depends: python (>= 2.5), debhelper (>= 9), dh-python
Standards-Version: 3.9.6
Homepage: http://bitbucket.org/Svedrin/maptransfer/wiki/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/maptransfer.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/maptransfer.git

Package: maptransfer
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-qt4 (>=4.5.0)
Description: upload/download maps to/from a VALVe game server (Client)
 Uploading Maps to a Game server can be a tedious process if you want to get
 the post-upload processing right. MapTransfer tries to automate this process
 as much as possible. It handles everything a map upload takes:
 .
  * Finds the paths on the disk where Steam is installed and where games are
    located. (Uses the Registry on Windows, and maptransfer.cfg for other OSs)
  * BZips the Map before upload, and only uploads the BZ2ed file. That way,
    maps are automatically prepared for fast download, while saving (mega)bytes
    for the client to upload.
  * Uploads .nav/.txt/.res files, if any.
  * Hardlinks files on the server side, if more than one gameserver path is
    specified in the config; that way a single map is uploaded to multiple
    servers at once (and only takes up the space once, too).
  * Saves you and your users a lot of tedious cdery and copypasta.
  * Highlights the maps you or the server don't have, so you easily see what's
    missing on either side.
 .
 Aside from the core functionality, it offers a few niceties as well:
 .
  * Client allows for simultaneous downloads and uploads.
  * Uses HTTPS as protocol - that way, you can download maps (or test
    connectivity) with your favorite web browser, or write your own scripts
    that interact with the server.
  * IPv6 ready
  * Extensible: Any game should work, as long as it uses bsp maps - map
    directories aren't hard coded but read from the config file.

Package: maptransfer-server
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-openssl (>= 0.10)
Description: upload/download maps to/from a VALVe game server (Server)
 Uploading Maps to a Game server can be a tedious process if you want to get
 the post-upload processing right. MapTransfer tries to automate this process
 as much as possible. It handles everything a map upload takes:
 .
  * Automatically BZip compresses uploaded maps if the client didn't.
  * Hardlinks files if more than one gameserver path is specified in the config.
    That way a single map is uploaded to multiple servers at once (and only
    takes up the space once, too).
  * Saves you and your users a lot of tedious cdery and copypasta.
 .
  Aside from the core functionality, it offers a few niceties as well:
 .
  * Uses HTTPS as protocol - that way, you can download maps (or test
    connectivity) with your favorite web browser, or write your own scripts
    that interact with the server.
  * IPv6 ready
  * Extensible: Any game should work, as long as it uses bsp maps - map
    directories aren't hard coded but read from the config file.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh  $@ --with python2

=== debian/watch ===
version=3
opts=filenamemangle=s#/Svedrin/maptransfer/get/v([\d\.]*)\.tar\.bz2#maptransfer_$1\.orig\.tar\.bz2# \
  http://bitbucket.org/Svedrin/maptransfer/downloads/ \
  /Svedrin/maptransfer/get/v([\d\.]*)\.tar\.bz2 \
  debian
